Part Prism: Difference between revisions

From FreeCAD Documentation
mNo edit summary
Line 40: Line 40:


== Properties == <!--T:4-->
== Properties == <!--T:4-->

See also: [[Property_editor|Property editor]].

A Part Prism object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
=== Data ===

Revision as of 13:25, 15 February 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Prism

Menu location
Part → Create primitives → Prism
Workbenches
Part
Default shortcut
None
Introduced in version
0.14
See also
Part Primitives, Part Box/Cube

Description

A Part Prism is a solid defined by a regular polygon cross section and a height.

Usage

  1. Open the Part Workbench.
  2. Press the Primitives button, or use the Part → Create primitives → Prism from the top menu.
  3. Select Prism in the dialog and set the parameters.

The prism properties can later be edited, either in the Property editor or by double-clicking the prism in the Tree view.

Notes

Properties

See also: Property editor.

A Part Prism object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Prism

  • DataPolygon (Integer): The number of edges for the polygon that forms the base and top plane of the prism.
  • DataCircumradius (Length): The distance from the center of the polygon to the prism edges.
  • DataHeight (Length): The height is the distance in the z-axis.
  • DataFirst Angle (Angle): Angle in first direction. introduced in version 0.19
  • DataSecond Angle (Angle): Angle in second direction. introduced in version 0.19

Limitations

Scripting

A Part Prism can be created with the following function:

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where "myPrism" is the name for the object.
  • The function returns the newly created object.

The name of the object can be easily changed by

prism.Label = "new prismName"

You can access and modify attributes of the prism object. For example, you may wish to modify the number of sides of the base polygon, the circumferential radius or one of the two angles.

prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45

The result will be a new prism with the given attributes.

You can change its placement and orientation with:

prism.Placement = FreeCAD.Placement(FreeCAD.Vector(2, 4, 6), FreeCAD.Rotation(30, 45, 10))

The Part Prism with the values of the scripting example looks like:

Part Prism with the values of the scripting example.